: ${GITFORCEFLAG_TREE_LINUX_THIS:=-f}
;;
+ linux-next)
+ : ${TREE_LINUX_THIS:=${KERNEL_SCM}/next/linux-next.git}
+ : ${GITFORCEFLAG_TREE_LINUX_THIS:=-f}
+ ;;
+
*)
return 1
;;
--- /dev/null
+#!/bin/bash
+
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2009-2013 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+
+set -e
+
+branch=$1
+new=$2
+
+. cri-lock-repos
+. cri-common
+select_xenbranch
+. ap-common
+
+case "$branch" in
+
+linux-next)
+ GIT_DIR=$repos/linux \
+ ./sg-check-tested --branch=linux-linus \
+ --blessings=${OSSTEST_BLESSING-real} \
+ --git-ancestor-of=$new --print-revision=linux
+ exit 0
+ ;;
+
+*)
+ echo >&2 "branch $branch ?"
+ exit 1
+ ;;
+esac
;;
esac
+if [ "x$OLD_REVISION" = xdetermine-late ]; then
+ OLD_REVISION="`./ap-fetch-version-baseline-late $branch $NEW_REVISION`"
+fi
+
if [ "x$NEW_REVISION" = "x$OLD_REVISION" ]; then
wantpush=false
for checkbranch in x $BRANCHES_ALWAYS; do